Main Page Class Hierarchy Compound List File List Compound Members File Members

# TRACE_REQ Struct Reference

`#include <ws_client.h>`

List of all members.

## Public Attributes
char | sta [7]
char | chan [9]
char | net [9]
short | pinno
double | reqStarttime
double | reqEndtime
int | partial
char * | pBuf
unsigned long | bufLen
long | timeout
long | fill
char | retFlag
double | waitSec
double | actStarttime
double | actEndtime
long | actLen
double | samprate
char * | pBuf

## Member Data Documentation

double TRACE_REQ::actEndtime

| Definition at line 77 of file ws_clientII.h. Referenced by ProduceSAC_NextStationForEvent(), wsParseAsciiHeaderReply(), and wsParseBinHeaderReply().

long TRACE_REQ::actLen

| Definition at line 79 of file ws_clientII.h. Referenced by AHPA_next(), pa_find_data(), ProduceSAC_NextStationForEvent(), SACPABase_write_trace(), SUDSPA_next(), TANKPA_next(), wsGetTraceBin(), wsParseAsciiHeaderReply(), and wsParseBinHeaderReply().

double TRACE_REQ::actStarttime

| Definition at line 76 of file ws_clientII.h. Referenced by ProduceSAC_NextStationForEvent(), wsParseAsciiHeaderReply(), and wsParseBinHeaderReply().

unsigned long TRACE_REQ::bufLen

| Definition at line 67 of file ws_clientII.h. Referenced by ProduceSAC_NextStationForEvent(), wsGetTraceAscii(), and wsGetTraceBin().

char TRACE_REQ::chan

| Definition at line 58 of file ws_clientII.h. Referenced by GSEPA_next(), ProduceSAC_NextStationForEvent(), SACPA_next(), SEIPA_next(), SEIPA_next_ev(), and wsSearchSCN().

long TRACE_REQ::fill

| Definition at line 69 of file ws_clientII.h. Referenced by wsGetTraceAscii().

char TRACE_REQ::net

| Definition at line 59 of file ws_clientII.h. Referenced by GSEPA_next(), GSEPA_next_ev(), ProduceSAC_NextStationForEvent(), SACPA_next(), SEIPA_next(), SEIPA_next_ev(), SUDSPA_next_ev(), and wsSearchSCN().

int TRACE_REQ::partial

| Definition at line 63 of file ws_clientII.h.

char* TRACE_REQ::pBuf

| Definition at line 66 of file ws_clientII.h.

char* TRACE_REQ::pBuf

| Definition at line 58 of file ws_client.h. Referenced by AHPA_next(), GSEPA_next_ev(), pa_find_data(), ProduceSAC_NextStationForEvent(), SACPABase_write_trace(), SUDSPA_next(), TANKPA_next(), wsGetTraceAscii(), and wsGetTraceBin().

short TRACE_REQ::pinno

| Definition at line 60 of file ws_clientII.h. Referenced by wsParseAsciiHeaderReply(), and wsParseBinHeaderReply().

double TRACE_REQ::reqEndtime

| Definition at line 62 of file ws_clientII.h. Referenced by GSEPA_next(), ProduceSAC_NextStationForEvent(), SEIPA_next(), SEIPA_next_ev(), wsGetTraceAscii(), and wsGetTraceBin().

double TRACE_REQ::reqStarttime

| Definition at line 61 of file ws_clientII.h. Referenced by GSEPA_next(), ProduceSAC_NextStationForEvent(), SEIPA_next(), SEIPA_next_ev(), wsGetTraceAscii(), and wsGetTraceBin().

char TRACE_REQ::retFlag

| Definition at line 72 of file ws_clientII.h. Referenced by wsParseAsciiHeaderReply(), and wsParseBinHeaderReply().

double TRACE_REQ::samprate

| Definition at line 80 of file ws_clientII.h. Referenced by wsParseAsciiHeaderReply(), and wsParseBinHeaderReply().

char TRACE_REQ::sta

| Definition at line 57 of file ws_clientII.h. Referenced by GSEPA_next(), ProduceSAC_NextStationForEvent(), SACPA_next(), SEIPA_next(), SEIPA_next_ev(), and wsSearchSCN().

long TRACE_REQ::timeout

| Definition at line 68 of file ws_clientII.h.

double TRACE_REQ::waitSec

| Definition at line 73 of file ws_clientII.h.

The documentation for this struct was generated from the following files:

- ws_client.h
- ws_clientII.h